Create a tenant_owner role transfer offer
curl --request POST \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/transfer-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_principal_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/transfer-offers"
payload = {
"to_principal_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to_principal_id: '<string>', expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/transfer-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offer": {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_type": "<string>",
"subject_id": "<string>",
"from_tenant_id": "<string>",
"to_principal_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Request body failed schema validation.",
"details": [
{
"path": "/subject_id",
"message": "subject_id is required."
}
]
}
}{
"error": {
"code": "unauthorized",
"message": "Authentication required."
}
}{
"error": {
"code": "forbidden",
"message": "Owner or grant required."
}
}Transfer Offers
Create Transfer Offer
The current tenant_owner creates an offer to transfer their accountability
role to another principal. The recipient must explicitly accept via the
/accept endpoint. Requires tenant_owner role.
POST
/
v1
/
tenants
/
{tenant_id}
/
subjects
/
{subject_type}
/
{subject_id}
/
transfer-offers
Create a tenant_owner role transfer offer
Authorizations
Firebase Auth JWT issued by Google Identity Platform.
Obtain a token by signing in at your app domain and calling
firebase.auth().currentUser.getIdToken().
Path Parameters
Tenant identifier.
Subject type discriminator.
Available options:
individual, organization Stable subject identifier within its type namespace.
Body
application/json
Response
Transfer offer created.
Show child attributes
Show child attributes
⌘I